app.game =
  start: ->
    for i in [0..20*15]
      @map[i] = new Tile

  hud: ->
    app.layer
      .fillStyle "#00f"
      .fillRect 0, 0, 200, 50

  render: ->
    for tile, i in @map
      tile.render(i-(Math.floor(i/20)*20), Math.floor(i/20))

  step: ->
    @hud

  map: []

  resources:
    ore:50
    stone: 100
